Package be.ehealth.technicalconnector.service.sts.utils

# Class SAMLHelper

java.lang.Object
be.ehealth.technicalconnector.service.sts.utils.SAMLHelper

public final class SAMLHelper extends Object
The Class SAMLHelper.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SAML_ASSERTION`
  The Constant SAML_ASSERTION.
  `static final String`
  `SAML_ATTRIBUTE`
  The Constant SAML_ATTRIBUTE.
  `static final String`
  `SAML_ATTRIBUTESTATEMENT`
  The Constant SAML_ATTRIBUTESTATEMENT.
  `static final String`
  `SAML_CONDITIONS`
  The Constant SAML_CONDITIONS.
  `static final String`
  `SAML_NOTONORAFTER`
  The Constant SAML_NOTONORAFTER.
  `static final String`
  `SAML_STATUSCODE`
  The Constant SAML_STATUSCODE.
  `static final String`
  `SAML_STATUSMESSAGE`
  The Constant SAML_STATUSMESSAGE.
  `static final String`
  `SAML_SUCCESS`
  The Constant SAML_SUCCESS.
  `static final String`
  `SAML_VALUE`
  The Constant SAML_VALUE.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Element`
  `getAssertion(Element stsResponse)`
  Gets the assertion.
  `static NodeList`
  `getAttributes(Element stsResponse)`
  Gets the attributes.
  `static Instant`
  `getNotOnOrAfterCondition(Element stsResponse)`
  Gets the not on or after conditions.
  `static String`
  `getStatusCode(Element stsResponse)`
  Gets the status code.
  `static String`
  `getStatusMessage(Element stsResponse)`
  Gets the status message.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SAML_CONDITIONS

    public static final String SAML_CONDITIONS
    The Constant SAML_CONDITIONS.
    See Also:
      - Constant Field Values

  - ### SAML_NOTONORAFTER

    public static final String SAML_NOTONORAFTER
    The Constant SAML_NOTONORAFTER.
    See Also:
      - Constant Field Values

  - ### SAML_SUCCESS

    public static final String SAML_SUCCESS
    The Constant SAML_SUCCESS.
    See Also:
      - Constant Field Values

  - ### SAML_STATUSCODE

    public static final String SAML_STATUSCODE
    The Constant SAML_STATUSCODE.
    See Also:
      - Constant Field Values

  - ### SAML_STATUSMESSAGE

    public static final String SAML_STATUSMESSAGE
    The Constant SAML_STATUSMESSAGE.
    See Also:
      - Constant Field Values

  - ### SAML_VALUE

    public static final String SAML_VALUE
    The Constant SAML_VALUE.
    See Also:
      - Constant Field Values

  - ### SAML_ASSERTION

    public static final String SAML_ASSERTION
    The Constant SAML_ASSERTION.
    See Also:
      - Constant Field Values

  - ### SAML_ATTRIBUTESTATEMENT

    public static final String SAML_ATTRIBUTESTATEMENT
    The Constant SAML_ATTRIBUTESTATEMENT.
    See Also:
      - Constant Field Values

  - ### SAML_ATTRIBUTE

    public static final String SAML_ATTRIBUTE
    The Constant SAML_ATTRIBUTE.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getStatusCode

    public static String getStatusCode(Element stsResponse)
    Gets the status code.
    Parameters:
      `stsResponse` - the sts response
    Returns:
      the status code

  - ### getStatusMessage

    public static String getStatusMessage(Element stsResponse)
    Gets the status message.
    Parameters:
      `stsResponse` - the sts response
    Returns:
      the status message

  - ### getNotOnOrAfterCondition

    public static Instant getNotOnOrAfterCondition(Element stsResponse)
    Gets the not on or after conditions.
    Parameters:
      `stsResponse` - the sts response
    Returns:
      the not on or after conditions

  - ### getAttributes

    public static NodeList getAttributes(Element stsResponse)
    Gets the attributes.
    Parameters:
      `stsResponse` - the sts response
    Returns:
      the attributes

  - ### getAssertion

    public static Element getAssertion(Element stsResponse)
    Gets the assertion.
    Parameters:
      `stsResponse` - the sts response
    Returns:
      the assertion